/* margin */
/* ------------------------------ */

.m-0 {
    margin: 0 !important
}

.m-1 {
    margin: 0.25rem !important
}

.mt-1,
.my-1 {
    margin-top: 0.25rem !important
}

.mr-1,
.mx-1 {
    margin-right: 0.25rem !important
}

.mb-1,
.my-1 {
    margin-bottom: 0.25rem !important
}

.ml-1,
.mx-1 {
    margin-left: 0.25rem !important
}

.m-2 {
    margin: 0.5rem !important
}

.mt-2,
.my-2 {
    margin-top: 0.5rem !important
}

.mr-2,
.mx-2 {
    margin-right: 0.5rem !important
}

.mb-2,
.my-2 {
    margin-bottom: 0.5rem !important
}

.ml-2,
.mx-2 {
    margin-left: 0.5rem !important
}

.m-3 {
    margin: 1rem !important
}

.mt-3,
.my-3 {
    margin-top: 1rem !important
}

.mr-3,
.mx-3 {
    margin-right: 1rem !important
}

.mb-3,
.my-3 {
    margin-bottom: 1rem !important
}

.ml-3,
.mx-3 {
    margin-left: 1rem !important
}

.m-4 {
    margin: 1.5rem !important
}

.mt-4,
.my-4 {
    margin-top: 1.5rem !important
}

.mr-4,
.mx-4 {
    margin-right: 1.5rem !important
}

.mb-4,
.my-4 {
    margin-bottom: 1.5rem !important
}

.ml-4,
.mx-4 {
    margin-left: 1.5rem !important
}

.m-5 {
    margin: 2rem !important
}

.mt-5,
.my-5 {
    margin-top: 2rem !important
}

.mr-5,
.mx-5 {
    margin-right: 2rem !important
}

.mb-5,
.my-5 {
    margin-bottom: 2rem !important
}

.ml-5,
.mx-5 {
    margin-left: 2rem !important
}

.m-6 {
    margin: 2.5rem !important
}

.mt-6,
.my-6 {
    margin-top: 2.5rem !important
}

.mr-6,
.mx-6 {
    margin-right: 2.5rem !important
}

.mb-6,
.my-6 {
    margin-bottom: 2.5rem !important
}

.ml-6,
.mx-6 {
    margin-left: 2.5rem !important
}

.m-7 {
    margin: 3rem !important
}

.mt-7,
.my-7 {
    margin-top: 3rem !important
}

.mr-7,
.mx-7 {
    margin-right: 3rem !important
}

.mb-7,
.my-7 {
    margin-bottom: 3rem !important
}

.ml-7,
.mx-7 {
    margin-left: 3rem !important
}

.m-8 {
    margin: 3.5rem !important
}

.mt-8,
.my-8 {
    margin-top: 3.5rem !important
}

.mr-8,
.mx-8 {
    margin-right: 3.5rem !important
}

.mb-8,
.my-8 {
    margin-bottom: 3.5rem !important
}

.ml-8,
.mx-8 {
    margin-left: 3.5rem !important
}

.m-9 {
    margin: 4rem !important
}

.mt-9,
.my-9 {
    margin-top: 4rem !important
}

.mr-9,
.mx-9 {
    margin-right: 4rem !important
}

.mb-9,
.my-9 {
    margin-bottom: 4rem !important
}

.ml-9,
.mx-9 {
    margin-left: 4rem !important
}

.m-10px {
    margin: 10px !important
}

.mt-10px,
.my-10px {
    margin-top: 10px !important
}

.mr-10px,
.mx-10px {
    margin-right: 10px !important
}

.mb-10px,
.my-10px {
    margin-bottom: 10px !important
}

.ml-10px,
.mx-10px {
    margin-left: 10px !important
}

.m-20px {
    margin: 20px !important
}

.mt-20px,
.my-20px {
    margin-top: 20px !important
}

.mr-20px,
.mx-20px {
    margin-right: 20px !important
}

.mb-20px,
.my-20px {
    margin-bottom: 20px !important
}

.ml-20px,
.mx-20px {
    margin-left: 20px !important
}

.m-30px {
    margin: 30px !important
}

.mt-30px,
.my-30px {
    margin-top: 30px !important
}

.mr-30px,
.mx-30px {
    margin-right: 30px !important
}

.mb-30px,
.my-30px {
    margin-bottom: 30px !important
}

.ml-30px,
.mx-30px {
    margin-left: 30px !important
}

.m-40px {
    margin: 40px !important
}

.mt-40px,
.my-40px {
    margin-top: 40px !important
}

.mr-40px,
.mx-40px {
    margin-right: 40px !important
}

.mb-40px,
.my-40px {
    margin-bottom: 40px !important
}

.ml-40px,
.mx-40px {
    margin-left: 40px !important
}

.m-50px {
    margin: 50px !important
}

.mt-50px,
.my-50px {
    margin-top: 50px !important
}

.mr-50px,
.mx-50px {
    margin-right: 50px !important
}

.mb-50px,
.my-50px {
    margin-bottom: 50px !important
}

.ml-50px,
.mx-50px {
    margin-left: 50px !important
}

.m-60px {
    margin: 60px !important
}

.mt-60px,
.my-60px {
    margin-top: 60px !important
}

.mr-60px,
.mx-60px {
    margin-right: 60px !important
}

.mb-60px,
.my-60px {
    margin-bottom: 60px !important
}

.ml-60px,
.mx-60px {
    margin-left: 60px !important
}

.m-70px {
    margin: 70px !important
}

.mt-70px,
.my-70px {
    margin-top: 70px !important
}

.mr-70px,
.mx-70px {
    margin-right: 70px !important
}

.mb-70px,
.my-70px {
    margin-bottom: 70px !important
}

.ml-70px,
.mx-70px {
    margin-left: 70px !important
}

.m-80px {
    margin: 80px !important
}

.mt-80px,
.my-80px {
    margin-top: 80px !important
}

.mr-80px,
.mx-80px {
    margin-right: 80px !important
}

.mb-80px,
.my-80px {
    margin-bottom: 80px !important
}

.ml-80px,
.mx-80px {
    margin-left: 80px !important
}

.m-90px {
    margin: 90px !important
}

.mt-90px,
.my-90px {
    margin-top: 90px !important
}

.mr-90px,
.mx-90px {
    margin-right: 90px !important
}

.mb-90px,
.my-90px {
    margin-bottom: 90px !important
}

.ml-90px,
.mx-90px {
    margin-left: 90px !important
}

.m-100px {
    margin: 100px !important
}

.mt-100px,
.my-100px {
    margin-top: 100px !important
}

.mr-100px,
.mx-100px {
    margin-right: 100px !important
}

.mb-100px,
.my-100px {
    margin-bottom: 100px !important
}

.ml-100px,
.mx-100px {
    margin-left: 100px !important
}

.m-auto {
    margin: auto !important
}

.mt-auto,
.my-auto {
    margin-top: auto !important
}

.mr-auto,
.mx-auto {
    margin-right: auto !important
}

.mb-auto,
.my-auto {
    margin-bottom: auto !important
}

.ml-auto,
.mx-auto {
    margin-left: auto !important
}

/* minus option */

.m-minus-1px {
    margin: -1px !important
}

.mt-minus-1px,
.my-minus-1px {
    margin-top: -1px !important
}

.mr-minus-1px,
.mx-minus-1px {
    margin-right: -1px !important
}

.mb-minus-1px,
.my-minus-1px {
    margin-bottom: -1px !important
}

.ml-minus-1px,
.mx-minus-1px {
    margin-left: -1px !important
}

/* ad-mrkang@naver.com */